#!/usr/bin/perl
#
#
#
#

use strict;

use Doctaur_libs::Insert_parts;
my $ins_obj = Insert_parts->open();


$ins_obj->insert_all_behind_body();
$ins_obj->insert_title('Admin help');
print qq!
                    
                    <TABLE CELLPADDING=0 CELLSPACING=0>
                        <TR>
                            <TD COLSPAN=3>
                                <B><BIG><A HREF="messages.pl">Administrators login</A></BIG></B>
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD COLSPAN=3>
                                <B><BIG>Installation instructions</BIG></B>
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                Installation of DocTaur is quite easy, but you should be able to configure your web-server,
                                or at least you have to know, where your web-server "documents root" and "cgi-bin" directories are located.
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <A NAME="prerequisities"></a><B>Prerequisities</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                Linux OS (Windows version is developed now)<BR>
                                web-server  (tested on <A HREF="http://www.apache.org">Apache</A> 1.3)<BR>
                                <A HREF="http://www.perl.com">Perl</A> (tested with v5.6)
                                <BR><BR>
                            </TD>
                        </TR>

                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <B>Installation</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                <OL>
                                    <LI>
                                        Configure your web-server to know, which directory(ies) you want to install "DocTaur and its cgi-bin files" to and which URL(s) it will be accessible on.
                                    </LI>
                                    <LI>
                                        <A HREF="http://www.doctaur.com/cgi-bin/intranet_version.pl">Download last version of DocTaur.</A>
                                    </LI>
                                    <LI>
                                        Change directory where you have saved archive to and extract it by command: 'tar -xzf doctaur-x.xx.tar.gz' .
                                    </LI>
                                    <LI>
                                        Change dir by command: 'cd doctaur' .
                                    </LI>
                                    <LI>
                                        Run installation script by command: '<B>./install.sh</B>' .
                                    </LI>
                                    <LI>
                                        Follow the instructions of installation script.
                                    </LI>
                                    <LI>
                                        Don't forget to create htdig database. It is necessary for searching feature. Do it by running commnad: <B>'/PREFIX_DIR/htdig/bin/rundig'</B> (PREFIX_DIR is drectory where is DocTaur installed).
                                    </LI>                                    
                                </OL>
                                <BR>
                            </TD>
                        </TR>

                        <TR>
                            <TD COLSPAN=3>
                                    <A NAME="expansion"></a><BIG><B>Expansion of documentations archive</B></BIG>
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                               Let's suppose, that '/PREFIX-DIR' is directory you instaled DocTaur to. So '/Prefix-DIR/dtdocs' is root
                               directory of ducumentations archive. You can create
                               multilevel subdirectories and copy documentations into it.<BR><BR>
                               If you create file named <B>'doctaur-folder.conf'</B> in directory, then this directory is DocTaur subfolder, else this directory is allowed to be manual.
                               <BR><BR>
                               "name" is the only one parameter of 'doctaur-folder.conf' and you can redefine name of directory by this.
                               This redefined name is used by DocTaur to display subfolder and manual structure on main page.<BR><BR>
                               You can also use file 'doctaur-manual.conf' with the same parameter.<BR><BR>
                               
                               So the contents of this two configuration files could be like this example: <BR>
                                &nbsp;&nbsp;name=My redefined name                                  
                                <BR><BR>
                                When you will make changes in your archive, you have to run <B>/PREFIX-DIR/htdig/bin/rundig</B> from command line.
                                It takes some time and then you will be able to search in updated archive.<BR><BR><BR>
                            </TD>
                        </TR>

                        <TR>
                            <TD COLSPAN=3>
                                <B><BIG>Support</BIG></B>
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                You can communicate with us by <A HREF="http://www.doctaur.com/cgi-bin/support.pl">Internet support</A>.<BR>
                                Your users can communicate with you by intranet support.
                                <BR><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <A NAME="prerequisities"></a><B>Internet support</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                You can send questions and notes by form on <A HREF="http://www.doctaur.com/cgi-bin/support.pl">support</A> page. You are welcome.
                                <BR><BR>
                            </TD>
                        </TR>

                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD COLSPAN=2>
                                <B>Intranet support</B><BR>
                            </TD>
                        </TR>
                        <TR>
                            <TD width=10>&nbsp;</TD>
                            <TD width=10>&nbsp;</TD>
                            <TD>
                                Users of your local Doctaur copy can send messages to you (administrator) by local <A HREF="support.pl">support page</A> accessible by main menu.<BR>
                                You can read sended messages on <A HREF="messages.pl">administrators page</A> accessible for people knowing password.<BR>
                                You can set or change password by execute script "setpass.pl" on command line. This script is located in your cgi-bin directory.
                               
                                <BR><BR>
                            </TD>
                        </TR>

                    
                </TABLE>

                    
!;

$ins_obj->insert_foot();
